Subject: Re: bug#15641: 24.3; [PATCH] Add find-definition for M-.

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Oct 2013 08:58:31 -0400

> I think we should just make M-. work on elisp-related places such as
> lisp-interaction-mode, emacs-lisp-mode, eval-expression and even
> help-mode.

Right: M-. should not be bound to an command specific to etags but to
a command which delegates the work to a find-tag-function (whose
default can then be to use etags).

Of course, find-tag-function should do "as little as possible": find the
corresponding place and return it.  The generic part of the code will
take care of displaying the buffer, selecting it, remembering the
previous position, etc... so we don't need a pop-tag-mark-function.

        Stefan